**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/24.2/documents/document-annotations/read-annotations-by-id.md

# Read Annotations by ID



Retrieve a specific annotation by the annotation ID. You must have *View Content* permission on the document version containing the specified ID.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/annotations/{annotation_id}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
| `{annotation_id}` | The annotation ID, which can be retrieved with [Read Annotations by Document Version and Type](/vault-api/api-reference/24.2/documents/document-annotations/read-annotations-by-document-version-and-type). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v24.1/objects/documents/102/versions/0/2/annotations/40

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": [
        {
            "document_version_id__sys": "102_0_2",
            "modified_by_user__sys": "133999",
            "id__sys": "40",
            "placemark": {
                "y_coordinate__sys": 469.97,
                "coordinates__sys": [
                    239.56,
                    469.97,
                    408.11,
                    469.97,
                    239.56,
                    199.16,
                    408.11,
                    199.16
                ],
                "type__sys": "line__sys",
                "height__sys": 270.81,
                "width__sys": 168.55,
                "x_coordinate__sys": 239.56,
                "page_number__sys": 1,
                "style__sys": "line_weight_two__sys"
            },
            "created_by_user__sys": "133999",
            "comment__sys": "Replace image",
            "created_date_time__sys": "2024-02-07T00:18:57.000Z",
            "modified_date_time__sys": "2024-02-07T00:18:57.000Z",
            "title__sys": "",
            "type__sys": "line__sys",
            "tag_names__sys": [
                "IMG"
            ],
            "state__sys": "open__sys",
            "reply_count__sys": 0,
            "color__sys": "red_dark__sys"
        }
    ]
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes all fields and values for the specified annotation. For more details about annotation fields, see [Read Annotations by Document Version and Type](/vault-api/api-reference/24.2/documents/document-annotations/read-annotations-by-document-version-and-type).



---

**Previous:** [Read Annotations by Document Version and Type](/quality/vault-api/api-reference/24.2/documents/document-annotations/read-annotations-by-document-version-and-type)  
**Next:** [Read Replies of Parent Annotation](/quality/vault-api/api-reference/24.2/documents/document-annotations/read-replies-of-parent-annotation)